Page MenuHomePhabricator

Reference -Preview and -Popup shown both with Minerva in desktop mode
Closed, ResolvedPublic2 Estimated Story Points

Description

Steps to Reproduce:

Actual Results:

  • When you hover a reference link in an article you will see the Reference Previews popup in the article
  • If you click the reference link now you will see the MobileFrontend at the bottom of the page

Expected Results:

I would assume it just make sense to have one of the two. Either the Reference Previews behavior with the popup in the text or the popup at the bottom of the page. I'm currently not entirely sure which one should be approached though.

Event Timeline

Restricted Application added subscribers: Masumrezarock100, Aklapper. · View Herald TranscriptJan 28 2020, 11:38 AM
Aklapper renamed this task from Reference -Preview and -Popup shown both with Minearva in desktop mode to Reference -Preview and -Popup shown both with Minerva in desktop mode.Apr 29 2020, 3:01 PM
Jdlrobson added a subscriber: Jdlrobson.

This is causing browser tests failures for Minerva as it seems to interferes with the behavior for the nested references. Can references preview please be disabled on Minerva skin for now until we have a plan?

Jdlrobson moved this task from Backlog to team:other on the MobileFrontend board.Jul 24 2020, 2:41 AM

Change 616060 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Disable Reference Previews in the (mobile) Minerva skin

https://gerrit.wikimedia.org/r/616060

thiemowmde added a subscriber: thiemowmde.

Sure, we can disable Reference Previews on Minerva. (Just to be sure I just confirmed that the conflicting feature is indeed in Minerva, and not in MobileFrontend). I just uploaded a tiny patch that does this. But: Isn't the idea that "hover" actions don't work on mobile devices? Shouldn't we disable Page-Previews altogether?

Change 616060 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Disable Reference Previews in the (mobile) Minerva skin

https://gerrit.wikimedia.org/r/616060

thiemowmde closed this task as Resolved.Thu, Aug 27, 10:29 AM
thiemowmde claimed this task.
thiemowmde set the point value for this task to 2.